<?php
include "../koneksi.php";

$id = $_POST['mesin_id'];
$mesin = $_POST['mesin'];
$type = $_POST['type'];
$tgl = $_POST['tgl'];
		if ($mesin == '') {
			$data['error']['edit_mesin'] = 'Nama Mesin tidak boleh kosong';
		}
		if ($type == '') {
			$data['error']['edit_type'] = 'Type Mesin Tidak Boleh Kosong';
		}
		if ($tgl == '') {
			$data['error']['edit_tgl'] = 'Tanggal Mesin Tidak Boleh Kosong';
		}

		if (empty($data['error'])) {
			$query = "UPDATE mesin SET
											Mesin = '$mesin',
											Type = '$type',
											Tanggal = '$tgl'
											WHERE MesinID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

